/**
 * Divider shows a divider line
 */
/// <reference types="react" />
declare type BaseElement = HTMLDivElement;
declare type BaseProps = React.HTMLAttributes<BaseElement>;
export interface INormalDividerProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * A normal divider has variant `full`
     *
     * Default: `full`
     */
    readonly variant?: 'full';
}
export interface IMiddleDividerProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * A middle divider has variant `middle`
     *
     * Default: `full`
     */
    readonly variant: 'middle';
}
export interface IInsetDividerProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * An inset divider has variant `inset`
     *
     * Default: `full`
     */
    readonly variant: 'inset';
    /**
     * Only affect to the Divider which has variant="inset".
     * Changes margin-left size.
     *
     * Default: `64`
     */
    readonly insetSize?: number;
}
export declare const Divider: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, INormalDividerProps | IMiddleDividerProps | IInsetDividerProps, never>;
export {};
