import React from 'react';
import { ITheme } from './theme';
import { IToastsPlacement } from './Toast/ToastsProvider';
import { ISimpleToastsDurations } from './Toast';
interface IToastsOptions {
    /**
     * Position of toasts on the page.
     */
    readonly placement: IToastsPlacement;
    /**
     * Determine if toasts should be always on top (above any other modal layers),
     * or not (above the main application layer but below any other modal layers).
     *
     * @default true
     */
    readonly alwaysOnTop: boolean;
    /**
     * Default toast durations
     */
    readonly defaultDurations: ISimpleToastsDurations;
}
interface IPracticalProvider extends ISimpleToastsDurations {
    /**
     * The Practical React Components theme to be used.
     */
    readonly theme?: ITheme;
    /**
     * The toasts layout.
     *
     * @default Toasts are centered at the top and always visible.
     */
    readonly toastsOptions?: IToastsOptions;
}
export declare const PracticalProvider: React.FC<IPracticalProvider>;
interface ILayerContext {
    readonly el: HTMLElement | null;
    readonly id: string;
}
export declare const LayerContext: React.Context<ILayerContext>;
interface ILayerProps {
    readonly zIndex?: number;
}
export declare const Layer: React.FC<ILayerProps>;
export {};
