import React from 'react';
import { IToastAction } from './toastActions';
import { IToastCallbacks, ISimpleToastsDurations } from './useToasts';
interface IToastContext extends IToastCallbacks {
    readonly __dispatchRef: React.MutableRefObject<React.Dispatch<IToastAction>>;
}
export declare const ToastsContext: React.Context<IToastContext>;
export interface IToastsPlacement {
    readonly justify: 'center' | 'right';
    readonly top: string;
}
/**
 *
 * Toasts provider
 *
 * Used to provide a context for dispatching toast actions.
 *
 * Note: Do not use this directly! Instead use the `useToasts` hook which wraps
 * the dispatch ref.
 *
 */
export declare const ToastsProvider: React.FC<ISimpleToastsDurations>;
export declare const ToastTransition: React.FC;
export interface IToastsAnchorProps {
    /**
     * Where the toasts should be placed.
     *
     * Default: top right
     */
    readonly placement: IToastsPlacement;
}
export declare const ToastsAnchor: React.FC<IToastsAnchorProps>;
export {};
