"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultTheme = exports.font = void 0;

var _color = require("./color");

/**
 * Default theming
 */
var font = {
  size: {
    smaller: '11px',
    small: '12px',
    regular: '13px',
    large: '14px',
    larger: '21px'
  },
  lineHeight: {
    smallest: '15px',
    smaller: '17px',
    small: '18px',
    medium: '21px',
    large: '22px',
    larger: '32px'
  },
  fontWeight: {
    normal: 400,
    semibold: 600,
    bold: 700
  },
  family: 'Open Sans, Helvetica, arial, sans-serif',
  button: {
    primary: {
      textTransform: 'none'
    },
    secondary: {
      default: {
        textTransform: 'none'
      },
      accent: {
        textTransform: 'none'
      }
    }
  },
  tableHeader: {
    textTransform: 'none'
  }
};
exports.font = font;
var defaultTheme = {
  font,
  color: {
    text00: _color.basePalette.white,
    text01: _color.basePalette.grey16,
    text02: _color.basePalette.grey24,
    text03: _color.basePalette.grey32,
    text04: _color.basePalette.grey40,
    text05: _color.basePalette.grey48,
    text06: _color.basePalette.grey16,
    textLink: _color.basePalette.grey72,
    textLinkHover: _color.basePalette.grey72,
    textPrimary: _color.basePalette.grey24,
    textError: _color.basePalette.grey16,
    background: _color.basePalette.white,
    background00: _color.basePalette.white,
    background01: _color.basePalette.grey94,
    background02: _color.basePalette.grey96,
    background03: _color.basePalette.grey98,
    background04: _color.basePalette.grey98,
    background05: _color.basePalette.white,
    backgroundPrimary: _color.basePalette.grey96,
    backgroundError: _color.basePalette.grey88,
    element01: _color.basePalette.grey40,
    element10: _color.basePalette.grey98,
    element11: _color.basePalette.grey80,
    element12: _color.basePalette.grey90,
    element13: _color.basePalette.grey72,
    element14: _color.basePalette.grey32,
    element15: _color.basePalette.grey98,
    element16: _color.basePalette.grey98,
    elementPrimary: _color.basePalette.grey32,
    elementHalfPrimary: _color.basePalette.grey48,
    elementError: _color.basePalette.grey16,
    elementSuccess: _color.basePalette.grey16,
    elementWarning: _color.basePalette.grey16,
    elementAccent: _color.basePalette.grey16,
    elementBorder: _color.basePalette.transparent
  },
  shadow: {
    card: '0 2px 6px 0 rgba(235, 237, 240, 1)',
    dialog: '0 2px 12px 0 rgba(0, 0, 0, 0.24)',
    dialogHeaderFooter: '0 0 4px 2px rgba(0, 0, 0, 0.08)',
    header: '0px 2px 6px rgba(0, 0, 0, 0.16)',
    knobOff1: '0 1px 4px 0 rgba(0, 0, 0, 0.24)',
    knobOff2: '0 1px 2px 0 rgba(0, 0, 0, 0.32)',
    knobOn1: '0 1px 2px 0 rgba(0, 0, 0, 0.16)',
    knobOn2: '0 1px 2px 0 rgba(0, 0, 0, 0.24)',
    knobOn3: '0 1px 1px 0 rgba(0, 0, 0, 0.24)',
    menu: '0 2px 16px 0px rgba(0, 0, 0, 0.24)',
    primaryButton: '0 2px 6px 0 rgba(0, 0, 0, 0.16)',
    selectList: '0 2px 4px 0 rgba(0, 0, 0, 0.24)',
    tab: '0 2px 6px 0 rgba(188, 195, 204, 0.32)',
    tableRow: '0 1px 4px 0 rgba(0, 0, 0, 0.16)',
    toast: '0 4px 24px 0 rgba(0, 0, 0, 0.08)',
    tooltip: '0 4px 24px 0 rgba(0, 0, 0, 0.08)'
  },
  compact: false,
  selectMarker: 'background'
};
exports.defaultTheme = defaultTheme;